[Startup]
AppName="Canon Utilities Solution Menu"
ProductName="CNSLMAIN.EXE"
Version="1.2.0.0"
SELECT=0
EULA=1
Update1=1
Update2=1
MinimumSize=5
MaxPathLen=215

[install folder]
FolderName="SolutionMenu"

[desktop shortcut]
Shortcut=1
DSCInfo="Canon Solution Menu" "$InsFolder$\CNSLMAIN.exe" "$InsFolder$" "" INST_NML

[group shortcut]
GroupShortcut=1
GSCFolderName="Canon Utilities\Solution Menu"
GSCInfo="Solution Menu" "$InsFolder$\CNSLMAIN.exe" "$InsFolder$" "" INST_NML
GSCInfo="Leesmij-bestand bij Solution Menu" "$InsFolder$\Readme.txt" "$InsFolder$" "" INST_NML
GSCInfo="Solution Menu verwijderen" "$InsFolder$\uninst.exe" "$SysFolder$" "$InsFolder$\uninst.ini" INST_NML

[uninstall info]
DisplayName="Canon Utilities Solution Menu"
UninstallName="CanonSolutionMenu"
MakeISU=0

[app path info]
AppPathsName="CNSLMAIN.EXE" "$InsFolder$CNSLMAIN.exe" "$InsFolder$"

[uninstall target - uninstall info]
CtrlExApp=0
UNInfo="CNSLMAIN.EXE" "CanonSolutionMenu" "Solution Menu" "16" "#32770" "60" "NOMESSAGE" "NOMESSAGE" ""
UpdateUninst=1
UninstVersion="2.0.0.0"

[OS]
WIN95=0
WIN98=0
WINME=0
WINNT=0
WIN2K=1
WINXP=1
WINVT=1
WINNW=1

[Files]
FILE="CNSLRES.dl_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="Readme.txt" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="BJPSINFO.IN_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="dcdbtn_e.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\CNSLMAIN.ex_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\EPP_EX.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\MPN_EX.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\MY_PRT.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\egv.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\lnk1btn.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\lnk2btn.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\c-park.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\photoprt.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\weblogin.ic_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL

REGI=HLM "SOFTWARE\Canon\SolutionMenu" "InstallPath" REG_SZ "$InsFolder$\CNSLMAIN.exe"
REGI=HLMSFT "Microsoft\Windows\CurrentVersion\Run" "CanonSolutionMenu" REG_SZ "$InsFolder$\CNSLMAIN.exe /logon"

REGI=HLM "SOFTWARE\Canon\MyPrinter" "" REG_SZ "" NOT_DEL
REGI=HLM "SOFTWARE\Canon\MyPrinter\Canon Utilities\SolutionMenu" "AppPath" REG_SZ "$InsFolder$\CNSLMAIN.EXE"
REGI=HLM "SOFTWARE\Canon\MyPrinter\Canon Utilities\SolutionMenu" "AppName" REG_SZ "Solution Menu"

UFLDER="<Common Programs>Canon Utilities" "FALSE"
UFLDER="<Common Programs>Canon Utilities\Solution Menu" "FALSE"
UFLDER="<Common AppData>CanonIJSolutionMenu"

UREGIK=HCU "SOFTWARE\Canon\SolutionMenu"
